@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';

@import '_itemcomments-variables.scss';

.yw-commentslist {

    &-popup {
        max-width: $item-comments__popup--max-width;

        .z-button {
            font-size: $item-comments__default-button--font-size;
            color: $item-comments__default-button--color;
            background: transparent !important;
            text-transform: capitalize;
            box-shadow: none;

            &:hover, &:active, &:focus {
                background: transparent !important;
                color: $item-comments__default-button-hover--color;
                box-shadow: none;
            }
        }
        .yw-commentslist-addcomment-button,
        .yw-add-comment-section-button-ok {
            color: $item-comments__default-button-primary--color;
        }

    }
    &-bottom-bar-popup {
        bottom: $item-comments__bar-bottom-popup--bottom;
        top: auto !important;
    }
    &-list {
        max-height: $item-comments__list--max-height;
        overflow: $item-comments__list--overflow;
        border-bottom: $item-comments__comment-list--border;
    }
    &-one-comment {
        border-top: $item-comments__comment-list--border;
        padding: $item-comments__one-comment--padding;

        &:first-child {
            border-top-width: 0;
        }
    }
    &-comment-header {
        margin: $item-comments__comment-header--margin-bottom;
        display: inline-block;
        width: 100%;
        vertical-align: top;

        > .z-label {
            display: inline-block;
            vertical-align: top;
        }
    }
    &-comment-author-label {
        padding-right: $item-comments__comment-author--padding-right;
        max-width: $item-comments__comment-author--max-width;
        font-weight: $item-comments__comment-author--font-weight;
        text-overflow: ellipsis;
        white-space: nowrap;
        overflow: hidden;
    }
    &-comment-date-label {
        color: $item-comments__comment-date--color;
        text-align: right;
        float:right;
    }
    &-comment-empty {
        padding: $item-comments__comment-empty--padding;
    }
    &-addcomment-button {
        height: $item-comments__default-button--height;
        margin: $item-comments__default-button--margin;
        width: 100%;
    }
}

.yw-add-comment-section {
    padding: $item-comments__add-comment-section--padding;
    width: 100%;
    display: inline-block;
    
    &-textbox {
        margin-bottom: $item-comments__add-comment-section-textbox--margin-bottom;
        max-height: $item-comments__add-comment-section-textbox--max-height;
        max-width: 100%;
        min-width: 140px;
        display: block;
        clear: both;
    }
    .z-button {
        display: inline-block;
    }
    &-button-ok {
        float: right;
    }
    &-button-cancel {
        float: left;
    }
}